diff sh/c139-gen-fc-ffs-img @ 18:c8ad6188b9ed

add c139-gen-fc-* shell script hierarchy
author Mychaela Falconia <falcon@freecalypso.org>
date Sat, 10 Jun 2023 08:16:10 +0000
parents
children 2299f1ebbfd2
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sh/c139-gen-fc-ffs-img	Sat Jun 10 08:16:10 2023 +0000
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ $# != 2 ]
+then
+	echo "usage: $0 rfbin-dir imei-file" 1>&2
+	exit 1
+fi
+
+set -e
+
+c139-gen-fc-ffs-tree "$1" "$2" fc-ffs
+
+echo 'Generated file system tree in fc-ffs'
+
+tiffs-mkfs -f /fc-ffs 64x7 fc-ffs fc-ffs.bin
+
+echo 'Generated FFS image for FC firmware in fc-ffs.bin'